FCNTL_SETLEASE(9)

NAME
fcntl_setlease - sets a lease on an open file

SYNOPSIS

int fcntl_setlease (unsigned int fd, struct file * filp, long arg);

ARGUMENTS

fd  open file descriptor

filp
    file pointer

arg type of lease to obtain

DESCRIPTION

Call this fcntl to establish a lease on the file. Note that you also need to call F_SETSIG to receive a signal when the lease is broken.